Linux 64 a ATI

Fórum o projektu

Moderátoři: petnek, nenym, Zelvuska

Odpovědět
Zpráva
Autor
Uživatelský avatar
Indy
52.6315789474 %
52.6315789474 %
Příspěvky: 1225
Registrován: úte 07 lis, 2006 16:13
rok narození: 0- 0-1969
ID CNT statistics: 288
Bydliště: Bučovice

Linux 64 a ATI

#1 Příspěvek od Indy » úte 17 lis, 2009 10:10

Takže lehce od počátku.
- Pomocí Wubi jsem nainstaloval ubuntu 9.10.
- Catalysty nebyly aktivní, ale pomocí "Aplikace-Centrum software pro ubuntu" jsem je aktivoval, a v catalyst center mi to teď ukazuje verzi 8.66.10 což odpovídá verzi 9.9 pod windows.
- Pomocí repozitářů jsem stáhl a nainstaloval starší verzi boinc asi 6.6.38 (nevím), potom jsem pomocí vkliberových rad provedl stažení verze 6.10.17 a její následné překopírování do daných adresářů. Problém byl jen s kopií "boinc" do /usr/bin/ (jak už teď vím - byl spuštěn jako služba), ale pomocí "rm" jsem to zvládl.
- Normálně to funguje, počítal jsem turnaj na PrimeGrid, ale Collatz pro GPU nejede (hlásí že nejsou jednotky).
Problém vidím v tom, že po spuštění managera mi to ve zprávách píše "No usable GPUs found".
Na fóru Collatz jsem ráno četl, že boinc nesmí být spuštěn jako služba (teď fórum nejede a nic bližšího nevím). Takže jsem opět zkoušel laborovat a zjistil jsem (doinstaloval jsem si i Boot up manager), že mi to funguje, pouze když spustím službu. Pokud ji mám deaktivovanou a zkouším to spustit ručně - nejede to. A to jsem si dokopíroval chybějící boinc, boinccmd a boincmgr do /var/lib/boinc-client a zkoušel spouštět pomocí run_client (cesty jsem opravil v gedit), ale neuspěl jsem.
:?: Jak ručně spustit clienta (bez služby) :?:
CNT podpis | PrimeGrid Free-DC stats | WCG signature | User of the Day
Obrázek
Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek a konečně taky Obrázek and Only For You - IQE Obrázek
a ještě GPUGrid: 4xObrázek 4xObrázek 2xObrázek 1xObrázek

Uživatelský avatar
forest
Admin webu a fóra CNT
Admin webu a fóra CNT
Příspěvky: 17780
Registrován: pát 27 říj, 2006 10:19
rok narození: 03 bře 1977
ID CNT statistics: 71
Bydliště: Újezd u Brna

Re: Linux 64 a ATI

#2 Příspěvek od forest » úte 17 lis, 2009 19:27

Spustíš ho snadno, stačí kliknout na boinc.

Jinak bych napřed být tebou odinstaloval BM z repozitářů a nainstaloval si tam poslední verzi ručně. S tou se ti budou dělat pokusy mnohem snadněji a až to budeš mít vše vyladěné dle potřeb, tak pak bych se zalamoval tím automatickým spuštěním při startu, tedy instalací BM z repozitářů a rozkopírováváním všeho možného.

Uživatelský avatar
Indy
52.6315789474 %
52.6315789474 %
Příspěvky: 1225
Registrován: úte 07 lis, 2006 16:13
rok narození: 0- 0-1969
ID CNT statistics: 288
Bydliště: Bučovice

Re: Linux 64 a ATI

#3 Příspěvek od Indy » úte 17 lis, 2009 20:46

forest píše:Spustíš ho snadno, stačí kliknout na boinc.
No, tak jednoduše to nevidím, to jsem samozřejmě dělal, a to i z příkazové řádky i pod superuživatelem. Dokonce i tu odinstalaci verze z repozitáře, btw. byla to verze 6.4.5.
Teď mi to připadá, že asi nějak nekomunikuje core s managerem, zkusím ještě nějaké předchozí verze a uvidíme.
CNT podpis | PrimeGrid Free-DC stats | WCG signature | User of the Day
Obrázek
Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek a konečně taky Obrázek and Only For You - IQE Obrázek
a ještě GPUGrid: 4xObrázek 4xObrázek 2xObrázek 1xObrázek

Uživatelský avatar
forest
Admin webu a fóra CNT
Admin webu a fóra CNT
Příspěvky: 17780
Registrován: pát 27 říj, 2006 10:19
rok narození: 03 bře 1977
ID CNT statistics: 71
Bydliště: Újezd u Brna

Re: Linux 64 a ATI

#4 Příspěvek od forest » úte 17 lis, 2009 21:16

Vykašli se na instalaci ze Synapticu a stáhni si poslední verzi pro Linux.
Tu rozbal kamkoliv, klikni na boinc a musí se to pustit. Pak až klikni na boincmgr, připoj se do projektu atd....

Uživatelský avatar
Indy
52.6315789474 %
52.6315789474 %
Příspěvky: 1225
Registrován: úte 07 lis, 2006 16:13
rok narození: 0- 0-1969
ID CNT statistics: 288
Bydliště: Bučovice

Re: Linux 64 a ATI

#5 Příspěvek od Indy » úte 17 lis, 2009 22:26

forest píše:Vykašli se na instalaci ze Synapticu a stáhni si poslední verzi pro Linux.
Jak už jsem psal v minulém příspěvku, verze ze synapticu (repozitáře) je odinstalovaná. Poslední verze pro Linux 64 je 6.10.17, která mi prostě nejela, a proto to sem píšu.

Teď jsem ve fázi - nic není nainstalované, jen čisté ubuntu 9.10, aktualizovaný firefox, nastavená čeština a povoleny catalysty verze 8.66.10.

Stáhl jsem boinc verzí 6.10.17 (poslední), 6.10.13, 6.10.3 a 6.6.41. Rozbalím, spustím boinc pak boincmgr a zkrátka manager ve zprávách nic nepíše (bílé okno) a po odklepu menu na připojení k projektu nic nedělá. Takto se chovají všechny zkoušené verze 6.10.xx, ale stará verze 6.6.41 funguje zcela normálně, tak jak očekávám já i vy. Takže někde je zakopaný pes a zatím nevím kde :smt102
CNT podpis | PrimeGrid Free-DC stats | WCG signature | User of the Day
Obrázek
Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek a konečně taky Obrázek and Only For You - IQE Obrázek
a ještě GPUGrid: 4xObrázek 4xObrázek 2xObrázek 1xObrázek

Uživatelský avatar
forest
Admin webu a fóra CNT
Admin webu a fóra CNT
Příspěvky: 17780
Registrován: pát 27 říj, 2006 10:19
rok narození: 03 bře 1977
ID CNT statistics: 71
Bydliště: Újezd u Brna

Re: Linux 64 a ATI

#6 Příspěvek od forest » stř 18 lis, 2009 06:15

Tak to jsem to špatně pochopil, já myslel že ti nefungují jen když je rozkopíruješ do těch různých adresářů.
Co ti to píše když dáš připojit k Localhost?
Počkal jsi někdy i třeeba dýl (cca 2 minuty) jestli nemá problém se připojit když dělá ten úvodní benchmark?

nenym
78.9473684211 %
78.9473684211 %
Příspěvky: 7076
Registrován: úte 13 led, 2009 15:33
rok narození: 0- 0-1956
ID CNT statistics: 10124

Re: Linux 64 a ATI

#7 Příspěvek od nenym » stř 18 lis, 2009 09:07

Mám stejné potíže s magory 6.10.x a 64bit Ubuntu 6.10/9.04. Mám dojem, že to již bylo někde napsáno - pokud se core (tj. klient) spustí v terminálu, tak je krásně vidět, na čem zhavaruje - na detekci ATI, a odmítne dál pokračovat.
Blíží se další krize; jím plesnivé sýry, piji staré víno a jezdím v autě bez střechy.
UotD 525x
Obrázek 3xObrázek 8xObrázek 10xObrázek Obrázek
Obrázek

Uživatelský avatar
Meharts
42.1052631579 %
42.1052631579 %
Příspěvky: 702
Registrován: úte 04 bře, 2008 10:09
ID CNT statistics: 2
Bydliště: Castle in the city Brušperk 37 let

Re: Linux 64 a ATI

#8 Příspěvek od Meharts » stř 18 lis, 2009 12:36

Indy
Co ti vypíše příkaz

Kód: Vybrat vše

fglrxinfo
?
OpenGL vendor string tam máš co MESA nebo něco jiného? Pokud Mesa je to špatně

Problém dle mého názoru je identifikace karty navenek UBUNTU dneska jsem si zkompiloval nejnovější boinc v 6.11 a také mi nedetekuje GPU.
Ohledně toho, že se ti nespouští boinc udělej následující

Kód: Vybrat vše

sudo /etc/init.d/boinc-client stop
-- vypne boinc pokud běží pokud né nevadí nic to neudělá

Kód: Vybrat vše

sudo cp -r /var/lib/boinc-client/ /home/meharts/boinc_zaloha
-- tím si uděláš zálohu projektů
dále v synapticu dej do rychlého hledání boinc a odškrtni boinc, boinc-client, boinc-manager dej použít zeptá se tě to na odstranění složky která je ve /var/lib/boinc-client zaškrtni, že chceš odstranit.
dále

Kód: Vybrat vše

sudo apt-get update
sudo apt-get upgrade
sudo apt-get autoremove 
řekne ti že program schedtool není zapotřebí a zda ho může odstranit tak mu řekni, že ano.
v tuto chvíli by jsi neměl mít nainstalovanou žádnou verzi boinc z repozitářů
nyní restart PC
A teď můžeš nainstalovat jak co chceš
to jest po rozbaleni boinc_x.y.z.sh kamkoliv a poté

Kód: Vybrat vše

/kamkoliv/run_manager
se spustí prázdný manager počkáš nějakou dobu závisí na HW, počasí, chuti ubuntu pracovat a mělo by na tebe vyskočit okno na připojení projektu. pokud vše pojede a GPU to nenajde je problém v catalystech. A bude potřeba počkat na vyjadřeni lidi od projektu.

Uživatelský avatar
Indy
52.6315789474 %
52.6315789474 %
Příspěvky: 1225
Registrován: úte 07 lis, 2006 16:13
rok narození: 0- 0-1969
ID CNT statistics: 288
Bydliště: Bučovice

Re: Linux 64 a ATI

#9 Příspěvek od Indy » stř 18 lis, 2009 17:58

Takže, co se týče grafiky, píše mi to následující
fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 4800 Series
OpenGL version string: 2.1.9016

2 Forest
Právě instalace z repozitáře 6.4.5 a pak následné překopírování rozbalené 6.10.17 do adresářů dle vklibera mi fungovalo, jel jsem turnaj na PrimeGrid, ale hlásilo mi to tu hlášku že nenašel použitelnou GPU a tím pádem Collatz na GPU nejel :-(
Manager ukazoval, že je to 6.10.17, ale kdoví, co tam zůstalo z té staré verze ;-)

Zatím na to dlabu, zkoušet další finty budu asi až o víkendu.
CNT podpis | PrimeGrid Free-DC stats | WCG signature | User of the Day
Obrázek
Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek Obrázek a konečně taky Obrázek and Only For You - IQE Obrázek
a ještě GPUGrid: 4xObrázek 4xObrázek 2xObrázek 1xObrázek

Uživatelský avatar
vkliber
Admin webu a fóra CNT
Admin webu a fóra CNT
Příspěvky: 9909
Registrován: čtv 29 bře, 2007 10:41
ID CNT statistics: 1
Bydliště: Brušperk, 48 let
Kontaktovat uživatele:

Re: Linux 64 a ATI

#10 Příspěvek od vkliber » stř 18 lis, 2009 19:24

Indy píše:...
Manager ukazoval, že je to 6.10.17, ale kdoví, co tam zůstalo z té staré verze ;-)
...
Co se týče verzí, tak jsou skutečně důležité ty spustitelné soubory (boinc, boinccmd, boincmgr) vše ostatní je balast kolem toho.
V každém případě (jak tady už zaznělo) ... pro testování je skutečně nejoptimálnější stáhnout verzi přímo z BOINC, nainstalovat (rozbalit) do nového adresáře (např. /home/indy/boinc_pokus1) a spouštět ručně. Takto můžeš mít nainstalováno klidně 10 různých verzí a plynyle se mezi nimi přepínat, zkoušet, ladit.
Statistiky CNT | Projekty CNT | Distribuované výpočty CNT | SETI CNT | Einstein CNT
.....::::: Proč se mít nejlépe, když se můžu mít čím dál tím stejně :::::.....
Moje skromná statistika tady , tady , tady nebo grafy.
˙ıɔıqɐɹʞ ʌ ǝןɐ 'ıןʇʎd ʌ ǝɔıɾɐz ǝʇɾndnʞǝu ʎpʞıu ˙˙˙

Uživatelský avatar
Prazdroj
42.1052631579 %
42.1052631579 %
Příspěvky: 683
Registrován: čtv 17 led, 2008 10:19
Bydliště: Liberec, 32 let

#11 Příspěvek od Prazdroj » čtv 19 lis, 2009 11:30

To je stejný problém, jaký jsme popisovali ve vedlejším vlákně. Prostě Collatz potřebuje BM 6.10.x, ale ten nefunguje pod Linuxem s ATI, při detekci ATI grafiky klekne. A když se použije starší BM, tak se sice spustí, ale grafiku nevidí. Snad se někdy v budoucnu dočkáme verze, kde ten problém nebude. Podle mě je v počítači vše správně, chybu vidím v BM.

Odpovědět

Zpět na „Collatz Conjecture“